<?php
session_start();
// require('../cfg/cfg.php');
// require('../cfg/res.php');
include('../_cfg/config.php');
include('php_gene1.php'); 
include('php_session.php');
include('simplexlsx.class.php');
// $tipo=$_POST['ptipo']; 
// $ffile=$_POST['ffile']; 
// $ffile2=substr($ffile,0,48);

// // if(mb_stristr('XLSX',$docu))
// { 
// $origen = $_FILES['ffile']['tmp_name'];
// $destino="../mflw.xlsx";
// echo '*/*/*/---';
// echo $origen;
// echo '*/*/*/++++';
// echo $destino;

  
// echo move_uploaded_file($origen,$destino);
	
$xlsfile="../plantilla.xls";
echo '<div>';
echo '*/*/*/*/*   TFLE_atvd1';
if (file_exists($xlsfile)){echo 'SI';}else{echo 'NO';}



$sql_dele='delete from atvd2 where idnum2 in (select idnum1 from atvd1 where fecha>="2019-11-01" and fecha<="2019-11-30")';
$res_dele=mysql_query($sql_dele,$link_vcrx);

$sql_dele='delete from plan2 where idnum2 in (select idnum1 from plan2 where fecha>="2019-11-01" and fecha<="2019-11-30")';
$res_dele=mysql_query($sql_dele,$link_vcrx);

$xlsx = new SimpleXLSX($xlsfile);
$hojas=	$xlsx->sheetNames();

for($choja=0; $choja<=count($hojas); $choja++)
{
	echo '<br>';
	echo $hojas[$choja];
	if($hojas[$choja]=='Actividades')
	{
          $xfila=$xlsx->rows($choja);
          $xcabe= $xfila[6];
    
          for($ccolu=0; $ccolu<=count($xcabe); $ccolu++)
          {
               if($xcabe[$ccolu]=='Fecha'){$col_fecha=$ccolu;}
               if($xcabe[$ccolu]=='Colaborador'){$col_enti=$ccolu;}
               if($xcabe[$ccolu]=='Encargado'){$col_numero=$ccolu;}
               if($xcabe[$ccolu]=='Supervisor'){$col_enti=$ccolu;}
               if($xcabe[$ccolu]=='Cliente'){$col_base0=$ccolu;}
          }
          echo '<br>';
    
    
    echo '<table style="font-family:arial; font-size:80%;">';
          for($cfila=2; $cfila<=count($xfila); $cfila++)
          {
             $xregi= $xfila[$cfila];
            
              echo '<tr>';
            
              echo '<td>';
              $dfecha=$xregi[0];
              $fecha="1900-01-01";
              $fecha=date('Y-m-d',strtotime($fecha.'+'.$dfecha.'days '));
              $fecha=date('Y-m-d',strtotime($fecha.' -2 days '));
              echo $fecha;
              echo '</td>';
            
              echo '<td>';
              $user='999';
              $colab=$xregi[1];
            
              $colab2= $xregi[1].' - '.$xregi[2].' - '.$xregi[3];
              $colab=str_replace('ñ','n',$colab);
              $colab=str_replace('é','e',$colab);
              $colab=str_replace('ó','o',$colab);
              if(strtoupper(substr($colab,0,10))=='JOHANNA PI'){$user=103;}
              if(strtoupper(substr($colab,0,10))=='ALEXANDRA '){$user=112;}
              if(strtoupper(substr($colab,0,10))=='ARIANA RAM'){$user=107;}
              if(strtoupper(substr($colab,0,10))=='ALEXANDER '){$user=110;}
              if(strtoupper(substr($colab,0,10))=='CESAR BUST'){$user=114;}
              if(strtoupper(substr($colab,0,10))=='CARLOS MUN'){$user=116;}
              if(strtoupper(substr($colab,0,10))=='ELISA AGUI'){$user=111;}
              if(strtoupper(substr($colab,0,10))=='ERIK CAJAM'){$user=101;}
              if(strtoupper(substr($colab,0,10))=='FREDDY BAZ'){$user=105;}
              if(strtoupper(substr($colab,0,10))=='GENESIS MU'){$user=115;}
              if(strtoupper(substr($colab,0,10))=='JONATHAN C'){$user=117;}
              if(strtoupper(substr($colab,0,10))=='JONATHAN S'){$user=109;}
              if(strtoupper(substr($colab,0,10))=='KAREN PERA'){$user=104;}
              if(strtoupper(substr($colab,0,10))=='LENIN CEDE'){$user=113;}
              if(strtoupper(substr($colab,0,10))=='NABIL CORD'){$user=108;}
              if(strtoupper(substr($colab,0,10))=='SANDY JURA'){$user=106;}
              if(strtoupper(substr($colab,0,10))=='KARINA MOR'){$user=118;}
              echo $user.' - '.$colab;
              echo '</td>';
            
              echo '<td>';
              echo $xregi[2];
              echo '</td>';
              echo '<td>';
              echo $xregi[3];
              echo '</td>';

              echo '<td>';
              $enti='9999999999999';
              $cliente=trim($xregi[4]);
              $xcliente=strtoupper($cliente);
            
              $sql_enti='select * from enti0 where upper(enti_descri) like "%'.strtoupper($xcliente).'%"';
              $res_enti=mysql_query($sql_enti,$link_vcrx);
              if(mysql_num_rows($res_enti)>0){$enti=mysql_result($res_enti,0,'enti_codigo');}
              else
              {
                if(mb_stristr($xcliente,'RETELEX')){$xcliente='RETELEXSA';}
                if(mb_stristr($xcliente,'MARENOST')){$xcliente='MARE NOST';}
                if(mb_stristr($xcliente,'MILANNVO')){$xcliente='MILANNVO';}
                if(mb_stristr($xcliente,'GASOLQUI')){$xcliente='GASOLQUI';}
                if(mb_stristr($xcliente,'DEPARTUR')){$xcliente='DEPARTUR';}
                if(mb_stristr($xcliente,'ALBORNOZ')){$xcliente='ALBORNOZ';}
                if(mb_stristr($xcliente,'ENELOJO')){$xcliente='ENELOJO';}
                if(mb_stristr($xcliente,'SEIMAL')){$xcliente='SEIMAL';}
                if(mb_stristr($xcliente,'CONSULEGI')){$xcliente='CONSULEGI';}
                if(mb_stristr($xcliente,'MIPDECO')){$xcliente='MIPDECO';}
                if(mb_stristr($xcliente,'FUENTES')){$xcliente='FUENTES';}
                if(mb_stristr($xcliente,'PALCA')){$xcliente='PALCA';}
                if(mb_stristr($xcliente,'AVICOLA')){$xcliente='BRYAN';}
                $sql_enti='select * from enti0 where upper(enti_descri) like "%'.strtoupper($xcliente).'%"';
                $res_enti=mysql_query($sql_enti,$link_vcrx);
                if(mysql_num_rows($res_enti)>0){$enti=mysql_result($res_enti,0,'enti_codigo');}
              }
            
              echo $enti.' - '.$cliente;
              echo '</td>';

            
            
              $serv='AAAA-';
              $servicio=trim($xregi[6]);
              $serv1=strtoupper($servicio);
              if(mb_stristr($serv1,'OTROS')){$serv='OOAA-';}
              if(mb_stristr($serv1,'EXTERNA')){$serv='AAEE-';}
              if(mb_stristr($serv1,'INTERNA')){$serv='AAII-';}
              if(mb_stristr($serv1,'CONTABILI')){$serv='CONT-';}
              if(mb_stristr($serv1,'CONTABLE')){$serv='AACC-';}
              if(mb_stristr($serv1,'CONVENIDO')){$serv='PPCC-';}
              if(mb_stristr($serv1,'RENTA')){$serv='RIRT-';}
              if(mb_stristr($serv1,'AGREGADO')){$serv='RIVA-';}
              if(mb_stristr($serv1,'SALIDA')){$serv='RISD-';}
              if(mb_stristr($serv1,'SEMINARIO')){$serv='SEMI-';}
            
            
              echo '<td>';
              $asub='NO DEFINIDA';
              $actividad=trim($xregi[5]);
              $xrpos=strrpos($actividad,'-');
              if($xrpos>0){$xrpos++;}
              $xactividad=substr($actividad,$xrpos);
              $xactividad=trim($xactividad);
            
              $sql_asub='select * from asub0 where (asub_descri) like "%'.($xactividad).'%" and substring(asub_codigo,1,5)="'.$serv.'"';
              $res_asub=mysql_query($sql_asub,$link_vcrx);
              if(mysql_num_rows($res_asub)>0){$asub=mysql_result($res_asub,0,'asub_codigo');}
              else
              {
                $sql_asub='select * from asub0 where (asub_descri) like "%'.strtoupper($xactividad).'%" and substring(asub_codigo,1,5)="'.$serv.'"';
                $res_asub=mysql_query($sql_asub,$link_vcrx);
                if(mysql_num_rows($res_asub)>0){$asub=mysql_result($res_asub,0,'asub_codigo');}
                else
                {
                  if(mb_stristr($xactividad,'por Cobrar')){$xactividad='X COBRAR';}
                  if(mb_stristr($xactividad,'Comprensi')){$xactividad='COMPRENSI';}
                  if(mb_stristr($xactividad,'calidad')){$xactividad='CALIDAD';}
                  if(mb_stristr($xactividad,'ficiencia')){$xactividad='FICIENCIA';}
                  if(mb_stristr($xactividad,'ustantiva')){$xactividad='USTANTIVA';}
                  if(mb_stristr($xactividad,'nventario')){$xactividad='NVENTARIO';}
                  if(mb_stristr($xactividad,'efectivo')){$xactividad='FECTIVO';}
                  if(mb_stristr($xactividad,'ontrato')){$xactividad='ONTRATO';}
                  if(mb_stristr($xactividad,'umplimie')){$xactividad='UMPLIMIENTO';}
                  if(mb_stristr($xactividad,'Pagar')){$xactividad='PAGOS';}
                  if(mb_stristr($xactividad,'Carga') and mb_stristr($xactividad,'SIC')){$xactividad='CARGA%" and asub_descri like "%SIC';}
                  if(mb_stristr($xactividad,'reclamo de I.R.')){$xactividad='reclamo de I.R.'; $serv='RIRT-';}
                  if(mb_stristr($xactividad,'Declaración Retención en la fuente')){$serv='CONT-';}
                  
                  $sql_asub='select * from asub0 where (asub_descri) like "%'.($xactividad).'%" and substring(asub_codigo,1,5)="'.$serv.'"';
                  $res_asub=mysql_query($sql_asub,$link_vcrx);
                  if(mysql_num_rows($res_asub)>0){$asub=mysql_result($res_asub,0,'asub_codigo');}
                }
              }
              echo $asub.' - '.$actividad;
              echo '</td>';

              echo '<td>';
              echo $serv.' '.$servicio;
              echo '</td>';

              echo '</tr>';
            
              $horas=($xregi[8]);
              $obser=trim($xregi[9]);
            
              $obser.=' : '.$actividad;
            
            
          echo '<tr>';
          echo '<td colspan="5">';
          if($fecha<"2019-11-01" or $fecha>"2019-11-30")
          {
            $fecha='2019-11-'.substr($fecha,5,2);
          }  
            
          if($fecha>="2019-11-01" and $fecha<="2019-11-30")
          {
            $sql_atvd='select * from atvd1 where docu="ATV1" and iuser="'.$user.'" and fecha="'.$fecha.'"';
            $res_atvd=mysql_query($sql_atvd,$link_vcrx);
            if(mysql_num_rows($res_atvd)==0)
            {
              $sql_inse='insert into atvd1(docu,enti,fecha,iuser,status)value("ATV1","'.$user.'","'.$fecha.'","'.$user.'","-")';
              $res_inse=mysql_query($sql_inse,$link_vcrx);
              $res_atvd=mysql_query($sql_atvd,$link_vcrx);
              
            }
            $idnum1=mysql_result($res_atvd,0,'idnum1');
            $numero=fillzero($idnum1);
            $cedula=r_fiel('user',$user,'cedula');
            
            $sueldoh=0;
            
              $sql_inse='update atvd1 set ptoe="001001", numero="'.$numero.'" where idnum1="'.$idnum1.'"';
              $res_inse=mysql_query($sql_inse,$link_vcrx);
              $sql_inse='update atvd1 set ptoe="001001", concepto="'.$colab2.'" where idnum1="'.$idnum1.'"';
              $res_inse=mysql_query($sql_inse,$link_vcrx);
            
              
            $iddet=get_iddet('ATV1',$numero);
            $sql_inse='insert into atvd2(idnum2,iddet,enti2,asub,cant,detalle)';
            $sql_inse.='value("'.$idnum1.'","'.$iddet.'","'.$enti.'","'.$asub.'","'.$horas.'","'.$obser.'")';
            $res_inse=mysql_query($sql_inse,$link_vcrx);

            
            if($cedula!='')
            {
              $sql_inse='update atvd1 set enti="'.$cedula.'" where idnum1="'.$idnum1.'"';
              $res_inse=mysql_query($sql_inse,$link_vcrx);

              $sql_nomi='select * from nomi12 where enti="'.$cedula.'"';
              $res_nomi=mysql_query($sql_nomi,$link_vcrx);
              $sueldo=mysql_result($res_nomi,0,'sueldo');
              $sueldoh=$sueldo/(30*8);

              $sql_inse='update atvd2 set puni="'.$sueldoh.'" where idnum2="'.$idnum1.'"';
              $res_inse=mysql_query($sql_inse,$link_vcrx);
              
            }
            
            
            
            
            ////////////////////////////////////////

            if($asub!='NO DEFINIDA')
            {
              $idnum1='';
              $sql_plan='select * from plan12 where docu="PLA1" and enti="'.$enti.'" and asub like "'.substr($asub,0,4).'%"';
              $res_plan=mysql_query($sql_plan,$link_vcrx);

              if(mysql_num_rows($res_plan)==0)
              {
                $fecha="2019-11-01";
                $sql_inse='insert into plan1(docu,enti,fecha,iuser,status)value("PLA1","'.$enti.'","'.$fecha.'","'.$user.'","-")';
                $res_inse=mysql_query($sql_inse,$link_vcrx);

                $sql_plan='select * from plan12 where docu="PLA1" and enti="'.$enti.'"  order by idnum1 desc';
                $res_plan=mysql_query($sql_plan,$link_vcrx);
                
                $idnum1=mysql_result($res_plan,0,'idnum1');
                $numero=fillzero($idnum1);
                

                $sql_inse='update plan1 set ptoe="001001", numero="'.$numero.'" where idnum1="'.$idnum1.'"';
                $res_inse=mysql_query($sql_inse,$link_vcrx);

                $sql_inse='update plan1 set ptoe="001001", empr="TFLE" where idnum1="'.$idnum1.'"';
                $res_inse=mysql_query($sql_inse,$link_vcrx);
                
                $sql_inse='update plan1 set ptoe="001001", concepto="'.$obser.'" where idnum1="'.$idnum1.'"';
                $res_inse=mysql_query($sql_inse,$link_vcrx);
                
                tfle_plan('PLA1',$idnum1,substr($asub,0,5).'0000','I');
              }
            }            
            
            
            
          }
    
          echo '</td>';
          echo '</tr>';
    
            
            
          }
    
    
    echo '</table>';
}
	
	
}


echo '</div>';



?>
